Bug 101119 - Internal compiler error in subst_stack_regs_pat
Summary: Internal compiler error in subst_stack_regs_pat
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-29 13:17 UTC by daniel gaffney
Modified: 2007-04-18 16:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 03:29:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
C source where bug observed (15.70 KB, text/plain)
2003-07-29 13:23 UTC, daniel gaffney
no flags Details

Description daniel gaffney 2003-07-29 13:17:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030314

Description of problem:
fails to compile v. simple prog tamura.c, exits with the following message

tamura.c: In function `tamura':
tamura.c:121: Internal compiler error in subst_stack_regs_pat, at reg-stack.c:1414
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.

Compilation exited abnormally with code 1 at Tue Jul 29 13:57:24

Version-Release number of selected component (if applicable):
gcc version 2.96 20000731 (Red Hat Linux 7.3 2.96-113)

How reproducible:
Always

Steps to Reproduce:
1.gcc -O2 -o tamura tamura.c genlib.c seqlib.c  -lm
2.
3.
    

Actual Results:  Failed to compile files attached below, exits with above error

Expected Results:  It should have compiled

Additional info:

Comment 1 daniel gaffney 2003-07-29 13:23:00 UTC
Created attachment 93222 [details]
C source where bug observed

A number of header files (libhdr,seqlib.h,defs.h) and C source
(tamura.c,genlib.c,seqlib.c) compiled as follows

gcc -O2 -o tamura tamura.c genlib.c seqlib.c  -lm

will produce the error

Comment 2 Richard Henderson 2004-10-04 03:29:17 UTC
Fixed in gcc-3.2.3-20.


Note You need to log in before you can comment on or make changes to this bug.